package cn.com.qmth.examcloud.service.examwork.entity;

import java.io.Serializable;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "ecs_exam_student")
public class ExamStudent implements Serializable {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue
	private Long id;

	@NotNull
	private String name;

	@ManyToOne
	@JoinColumn(name = "examId")
	private Exam exam;
	/**
	 * 学校id
	 */
	@NotNull
    private Long rootOrgId;
	/**
	 * 学习中心id
	 */
    private Long orgId;
	/**
	 * 学习中心code
	 */
    private String orgCode;

	private String orgName;

	private String studentCode;

	private String identityNumber;

	private String examNumber;

	private String courseCode;

	private String courseName;
	
	private String courseLevel;
	
	/**
	 * 试卷类型
	 */
	private String paperType;
	/**
	 * 学位
	 */
	private Boolean degree;

	private String specialtyName;
	
	/**
	 * 是否重修
	 */
	private Boolean repair;
	
	/**
	 * 年级
	 */
	private String grade;
	/**
	 * 是否毕业
	 */
	private Boolean graduated;

	private String remark;
	
	/**
	 * 是否缺考 
	 */
	private Boolean finished;
	
	/**
	 * 学生用户id
	 */
    private Long studentId;

	/**
	 * 考点
	 */
	private String examSite;
	
	/**
	 * 信息采集人
	 */
	private String infoCollector;
	
	/**
	 * 学生电话
	 */
	private String phone;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Exam getExam() {
		return exam;
	}

	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Boolean getDegree() {
		return degree;
	}

	public void setDegree(Boolean degree) {
		this.degree = degree;
	}

	public Boolean getRepair() {
		return repair;
	}

	public void setRepair(Boolean repair) {
		this.repair = repair;
	}

	public Boolean getGraduated() {
		return graduated;
	}

	public void setGraduated(Boolean graduated) {
		this.graduated = graduated;
	}

	public Boolean getFinished() {
		return finished;
	}

	public void setFinished(Boolean finished) {
		this.finished = finished;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public ExamStudent() {
	}
}
